<!doctype html>
<html lang="en">

<head>
    <title>Title</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.1/css/all.min.css"
        integrity="sha512-MV7K8+y+gLIBoVD59lQIYicR65iaqukzvf/nwasF0nqhPay5w/9lJmVM2hMDcnK1OnMGCdVK+iQrJ7lzPJQd1w=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="stylesheet" href="../../assets/css/admin.css">
</head>

<body>
    <div class="container">
        <header>
            <nav class="navbar navbar-expand-lg navbar-light bg-light">
                <a class="navbar-brand" href="../../index.html">Home</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse"
                    data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false"
                    aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <ul class="navbar-nav mr-auto">

                    </ul>

                </div>
            </nav>
        </header>
        <main>
            <h1 class="my-4">Admin Dashboard</h1>
            <div class="dashBoard">
                <ul class="nav nav-tabs" id="myTab" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link active" id="home-tab" data-toggle="tab" href="#productList" role="tab"
                            aria-controls="productList" aria-selected="true">Product list</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="profile-tab" data-toggle="tab" href="#userProfile" role="tab"
                            aria-controls="userProfile" aria-selected="false">User Profile</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="contact-tab" data-toggle="tab" href="#statistic" role="tab"
                            aria-controls="statistic" aria-selected="false">Statics</a>
                    </li>
                </ul>
                <div class="tab-content" id="myTabContent">
                    <div class="tab-pane fade show active" id="productList" role="tabpanel" aria-labelledby="home-tab">
                        <div class="my-3">
                            <button class="bg-info btn-add-new" onclick="turnOnInputForm()">
                                <i class="fa-solid fa-circle-plus text-dark mr-2"></i>
                                Add New Product
                            </button>
                        </div>
                        <div>
                            <table class="table table-bordered table-dark">
                                <thead>
                                    <tr>
                                        <th style="width:5%">Order</th>
                                        <th style="width:20%">Product Name</th>
                                        <th style="width:5%">Price</th>
                                        <th style="width:5%">Stock</th>
                                        <th style="width:20%">Image</th>
                                        <th style="width:10%">Status</th>
                                        <th style="width:20%">Description</th>
                                        <th style="width:10%"><i class="fa-solid fa-gears"></i></th>
                                    </tr>
                                </thead>
                                <tbody id="tbody"></tbody>
                            </table>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="userProfile" role="tabpanel" aria-labelledby="profile-tab">user
                        profile</div>
                    <div class="tab-pane fade" id="statistic" role="tabpanel" aria-labelledby="contact-tab">statistic
                    </div>
                </div>
            </div>

            <div class="input-form" id="input-form">
                <div class="input-wrapper">
                    <button class="btn-close" onclick="turnOffInputForm()"><i class="fa-solid fa-x"></i></button>
                    <h1 class="mb-4 input-form-title">New Product Creation</h1>
                    <div class="form-group" id="idField">
                        <label for="formGroupExampleInput">id</label>
                        <input type="text" class="form-control" id="id" placeholder="id" readonly>
                    </div>
                    <div class="form-group">
                        <label for="formGroupExampleInput">Product Name</label>
                        <input type="text" class="form-control" id="name" placeholder="Product Name">
                    </div>
                    <div class="form-group">
                        <label for="price">Price</label>
                        <input type="number" class="form-control" id="price" placeholder="Price">
                    </div>
                    <div class="form-group">
                        <label for="screen">Screen</label>
                        <input type="text" class="form-control" id="screen" placeholder="screen">
                    </div>

                    <div class="form-group">
                        <label for="backCamera">Back Camera</label>
                        <input type="text" class="form-control" id="backCamera" placeholder="Back Camera">
                    </div>
                    <div class="form-group">
                        <label for="frontCamera">Front Camera</label>
                        <input type="text" class="form-control" id="frontCamera" placeholder="Front Camera">
                    </div>

                    <div class="form-group">
                        <label for="image">Image</label>
                        <input type="text" class="form-control" id="image" placeholder="image">
                    </div>
                    <div class="form-group">
                        <label for="desc">Description</label>
                        <input type="text" class="form-control" id="desc" placeholder="Description">
                    </div>
                    <div class="form-group">
                        <label for="type">type</label>
                        <input type="text" class="form-control" id="type" placeholder="type">
                    </div>

                    <div class="form-group">
                        <label for="quantity">Remaining Stock</label>
                        <input type="text" class="form-control" id="stock" placeholder="stock">
                    </div>
                    <div class="form-group">
                        <button id="add-btn" class="btn btn-success mt-3" onclick="addData()">Add Product</button>
                        <button id="update-btn" class="btn btn-success mt-3" onclick="updateData()">Update</button>
                    </div>
                </div>

            </div>


        </main>
    </div>










    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
        integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/1.1.3/axios.min.js"
        integrity="sha512-0qU9M9jfqPw6FKkPafM3gy2CBAvUWnYVOfNPDYKVuRTel1PrciTj+a9P3loJB+j0QmN2Y0JYQmkBBS8W+mbezg=="
        crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script type="module" src="../controllers/main.js"></script>
</body>

</html>